Moto Racing 2

Informations

Creator Message
Dadu042

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 3374
Wine: System

Feedbacks

Description

Racing, 2017 ?. Webpage.

Warning: this game fail to launch (= to run). It may work by installing the component DXVK_170 (tested with Wine v5.0).

Automatic download supported (from myplaycity.com).

Screenshots

Miniature

Source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : DirectX 11.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
# [Dadu042] (2020-02-04)
#   New attempts with newer Wine versions.
#   Switch x86 -> amd64
# [Dadu042] (2020-05-10)
#   Change download URL (Game removed from myplaycity.com but available from gametop.com)
# [Dadu042] (2020-06-03)
#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.0. But does not with Wine 5.7).
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia. Fix: POL_Install_DXVK_170
#  - Wine x86 5.7: no music. Installing POL_Instatl_directmusic (+ POL_Install_DXVK_170) breaks the game.
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="Game.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
        
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
          
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate
     
Set_OS "win7"
   
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
     
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
         
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://cdn.gametop.com/free-games-download/Moto-Racing-2.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "Moto-Racing-2.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
            
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
            
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
      
################
#      GPU     #
################
      
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
      
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
     
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Wednesday 3 June 2020 at 12:22
Dadu042

Information

This update has been approved by the team.

Differences

@@ -24,7 +24,7 @@
 # [Dadu042] (2020-05-10)
 #   Change download URL (Game removed from myplaycity.com but available from gametop.com)
 # [Dadu042] (2020-06-03)
-#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.7).
+#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.0. But does not with Wine 5.7).
 #
 #
 #

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : DirectX 11.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
# [Dadu042] (2020-02-04)
#   New attempts with newer Wine versions.
#   Switch x86 -> amd64
# [Dadu042] (2020-05-10)
#   Change download URL (Game removed from myplaycity.com but available from gametop.com)
# [Dadu042] (2020-06-03)
#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.0. But does not with Wine 5.7).
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia. Fix: POL_Install_DXVK_170
#  - Wine x86 5.7: no music. Installing POL_Instatl_directmusic (+ POL_Install_DXVK_170) breaks the game.
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="Game.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
        
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
          
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate
     
Set_OS "win7"
   
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
     
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
         
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://cdn.gametop.com/free-games-download/Moto-Racing-2.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "Moto-Racing-2.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
            
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
            
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
      
################
#      GPU     #
################
      
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
      
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
     
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Wednesday 3 June 2020 at 11:50
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

First time it did run.

Differences

@@ -23,11 +23,14 @@
 #   Switch x86 -> amd64
 # [Dadu042] (2020-05-10)
 #   Change download URL (Game removed from myplaycity.com but available from gametop.com)
+# [Dadu042] (2020-06-03)
+#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.7).
 #
 #
 #
 # KNOWN ISSUES:
-#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
+#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia. Fix: POL_Install_DXVK_170
+#  - Wine x86 5.7: no music. Installing POL_Instatl_directmusic (+ POL_Install_DXVK_170) breaks the game.
 #
 # KNOWN ISSUES (FIXED):
 #  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : DirectX 11.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
# [Dadu042] (2020-02-04)
#   New attempts with newer Wine versions.
#   Switch x86 -> amd64
# [Dadu042] (2020-05-10)
#   Change download URL (Game removed from myplaycity.com but available from gametop.com)
# [Dadu042] (2020-06-03)
#   The component POL_Install_DXVK_170 let the game start and run for the first time ! (Wine 5.7).
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia. Fix: POL_Install_DXVK_170
#  - Wine x86 5.7: no music. Installing POL_Instatl_directmusic (+ POL_Install_DXVK_170) breaks the game.
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="Game.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
        
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
          
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate
     
Set_OS "win7"
   
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
     
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
         
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://cdn.gametop.com/free-games-download/Moto-Racing-2.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "Moto-Racing-2.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
            
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
            
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
      
################
#      GPU     #
################
      
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
      
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
     
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Sunday 10 May 2020 at 18:07
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Game still don't run.
 

Differences

@@ -9,7 +9,7 @@
 #
 # TESTED Editions: 2017
 #
-# Middlewares used by this software : ?.
+# Middlewares used by this software : DirectX 11.
 #
 # CHANGELOG
 # [Dadu042] (2019-11-25)
@@ -19,19 +19,23 @@
 # [Dadu042] (2019-12-02)
 #   Switch x86 -> amd64
 # [Dadu042] (2020-02-04)
-#   New attempts with newer Wine verisons.
+#   New attempts with newer Wine versions.
 #   Switch x86 -> amd64
+# [Dadu042] (2020-05-10)
+#   Change download URL (Game removed from myplaycity.com but available from gametop.com)
+#
 #
 #
 # KNOWN ISSUES:
+#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
+#
+# KNOWN ISSUES (FIXED):
 #  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
-#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
 #
-# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
-     
+      
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-   
+    
 TITLE="Moto Racing 2"
 PREFIX="Moto_Racing_2"
 EDITOR="Alawar"
@@ -40,61 +44,59 @@
 STEAM_ID=""
 WORKING_WINE_VERSION=""
 GAME_VMS="256"
-SHORTCUT_FILENAME="engine.exe"
+SHORTCUT_FILENAME="Game.exe"
 SOFTWARE_CATEGORIES="Game;SportsGame;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
-       
+        
 # Starting the script
 POL_SetupWindow_Init
-           
+            
 # Starting debugging API
 POL_Debug_Init
-          
+           
 # Open dialogue box 
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-        
+         
 # POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
- 
+  
 # POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
-         
+          
 POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
-    
+     
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-          
+           
 # Determine Architecture
 # POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
-  
+   
 # Downloading wine if necessary and creating prefix
 POL_Wine_PrefixCreate
-    
+     
 Set_OS "win7"
-  
+   
 # Installing mandatory dependencies
 # POL_Call POL_Install_corefonts
 # POL_Call POL_Instatl_directmusic
-  
 # POL_Call POL_Install_d3dx9_43
-   
 # POL_Call POL_Install_msxml4
 # POL_Call POL_Install_riched30
 # POL_Call POL_Install_phzysx
 # POL_Call POL_Install_corefonts
 # POL_Call POL_Install_d3dx11
 # POL_Call POL_Install_mono210
-   
+    
 ## Sound problem fix - pulseaudio related
 # [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
 # [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
 ## End Fix
-        
+         
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
-    
+     
 # POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
-       
+        
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
         POL_Call POL_Install_steam
@@ -107,37 +109,37 @@
         cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
         POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
         POL_Wine_WaitExit "$TITLE"
-        
+         
 elif [ "$INSTALL_METHOD" == "DVD" ];then
         POL_SetupWindow_cdrom
-        
+         
         POL_SetupWindow_check_cdrom "SETUP.EXE"
         POL_Wine start /unix "$CDROM/SETUP.EXE"
         POL_Wine_WaitExit "SETUP.EXE"
-    
+     
         # Restore screen resolution (game's default is 800x600 ?)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-       
-        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+         
 elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
         cd "$WINEPREFIX/drive_c"
-        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
+        POL_Download "https://cdn.gametop.com/free-games-download/Moto-Racing-2.exe"
         POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
-        POL_Wine "motoracing2_setup.exe" # "/SILENT"
+        POL_Wine "Moto-Racing-2.exe" # "/SILENT"
         POL_Wine_WaitBefore "$TITLE"
-   
+    
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-    
+     
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_Document "$TITLE" "readme.txt"
-           
+            
 elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         APP_ANSWER=".EXE"
-           
+            
 if [ "$APP_ANSWER" == ".EXE" ]; then
         # Asking then installing local files of the game
         cd "$HOME"
@@ -146,13 +148,13 @@
         SETUP_EXE="$APP_ANSWER"
         POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
         POL_Wine_WaitExit "$TITLE"
-  
+   
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-     
+      
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_Document "$TITLE" "readme.txt"
-     
+      
 elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
@@ -161,7 +163,7 @@
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
-                 
+                  
 elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
@@ -172,26 +174,26 @@
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 fi
 fi
-     
+      
 ################
 #      GPU     #
 ################
-     
+      
 # Set Graphic Card information keys for wine
 # POL_Wine_SetVideoDriver
-  
+   
 # Asking about memory size of graphic card
 # POL_SetupWindow_VMS $GAME_VMS
-     
+      
 # Useful for Nvidia GPUs
 # POL_Call POL_Install_physx
-    
+     
 # Empty (no text):
 # POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
-  
+   
 # POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
-     
+      
 POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
-  
+   
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : DirectX 11.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
# [Dadu042] (2020-02-04)
#   New attempts with newer Wine versions.
#   Switch x86 -> amd64
# [Dadu042] (2020-05-10)
#   Change download URL (Game removed from myplaycity.com but available from gametop.com)
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0, 5.7: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="Game.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
        
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
          
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate
     
Set_OS "win7"
   
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
     
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
         
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://cdn.gametop.com/free-games-download/Moto-Racing-2.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "Moto-Racing-2.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
            
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
            
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
      
################
#      GPU     #
################
      
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
      
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
     
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Sunday 10 May 2020 at 18:07
Tested with Wine 5.7 (crash).
Dadu042 Tuesday 4 February 2020 at 21:20
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -18,16 +18,20 @@
 #   Set Wine 4.0.2 -> system.
 # [Dadu042] (2019-12-02)
 #   Switch x86 -> amd64
+# [Dadu042] (2020-02-04)
+#   New attempts with newer Wine verisons.
+#   Switch x86 -> amd64
+#
 #
 # KNOWN ISSUES:
 #  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
-#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
+#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
 #
 # Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
-    
+     
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-  
+   
 TITLE="Moto Racing 2"
 PREFIX="Moto_Racing_2"
 EDITOR="Alawar"
@@ -39,58 +43,58 @@
 SHORTCUT_FILENAME="engine.exe"
 SOFTWARE_CATEGORIES="Game;SportsGame;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
-      
+       
 # Starting the script
 POL_SetupWindow_Init
-          
+           
 # Starting debugging API
 POL_Debug_Init
-         
+          
 # Open dialogue box 
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-       
+        
 # POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
-
+ 
 # POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
-        
+         
 POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
-   
+    
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-         
+          
 # Determine Architecture
-POL_System_SetArch "amd64"
-# POL_System_SetArch "x86"
- 
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+  
 # Downloading wine if necessary and creating prefix
-POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-   
+POL_Wine_PrefixCreate
+    
 Set_OS "win7"
- 
+  
 # Installing mandatory dependencies
 # POL_Call POL_Install_corefonts
 # POL_Call POL_Instatl_directmusic
- 
-# POL_Call POL_Install_d3dx9_43
   
+# POL_Call POL_Install_d3dx9_43
+   
 # POL_Call POL_Install_msxml4
 # POL_Call POL_Install_riched30
 # POL_Call POL_Install_phzysx
 # POL_Call POL_Install_corefonts
 # POL_Call POL_Install_d3dx11
 # POL_Call POL_Install_mono210
-  
+   
 ## Sound problem fix - pulseaudio related
 # [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
 # [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
 ## End Fix
-       
+        
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
-   
+    
 # POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
-      
+       
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
         POL_Call POL_Install_steam
@@ -103,37 +107,37 @@
         cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
         POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
         POL_Wine_WaitExit "$TITLE"
-       
+        
 elif [ "$INSTALL_METHOD" == "DVD" ];then
         POL_SetupWindow_cdrom
-       
+        
         POL_SetupWindow_check_cdrom "SETUP.EXE"
         POL_Wine start /unix "$CDROM/SETUP.EXE"
         POL_Wine_WaitExit "SETUP.EXE"
-   
+    
         # Restore screen resolution (game's default is 800x600 ?)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-      
-        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        
 elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
         cd "$WINEPREFIX/drive_c"
         POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
         POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
         POL_Wine "motoracing2_setup.exe" # "/SILENT"
         POL_Wine_WaitBefore "$TITLE"
-  
+   
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-   
+    
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_Document "$TITLE" "readme.txt"
-          
+           
 elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         APP_ANSWER=".EXE"
-          
+           
 if [ "$APP_ANSWER" == ".EXE" ]; then
         # Asking then installing local files of the game
         cd "$HOME"
@@ -142,13 +146,13 @@
         SETUP_EXE="$APP_ANSWER"
         POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
         POL_Wine_WaitExit "$TITLE"
- 
+  
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-    
+     
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_Document "$TITLE" "readme.txt"
-    
+     
 elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
@@ -157,7 +161,7 @@
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
-                
+                 
 elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
@@ -168,26 +172,26 @@
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 fi
 fi
-    
+     
 ################
 #      GPU     #
 ################
-    
+     
 # Set Graphic Card information keys for wine
 # POL_Wine_SetVideoDriver
- 
+  
 # Asking about memory size of graphic card
 # POL_SetupWindow_VMS $GAME_VMS
-    
+     
 # Useful for Nvidia GPUs
 # POL_Call POL_Install_physx
-   
+    
 # Empty (no text):
 # POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
- 
+  
 # POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
-    
+     
 POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
- 
+  
 POL_SetupWindow_Close
-exit 0
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
# [Dadu042] (2020-02-04)
#   New attempts with newer Wine verisons.
#   Switch x86 -> amd64
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21, 5.0: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="engine.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
       
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
         
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate
    
Set_OS "win7"
  
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
  
# POL_Call POL_Install_d3dx9_43
   
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
    
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
       
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
        
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "motoracing2_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
           
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
           
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
     
################
#      GPU     #
################
     
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
  
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
     
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
    
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
  
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
     
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
  
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 2 December 2019 at 11:42
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -16,10 +16,12 @@
 #   First script. How to force DirectX 9 ?
 # [Dadu042] (2019-11-26)
 #   Set Wine 4.0.2 -> system.
+# [Dadu042] (2019-12-02)
+#   Switch x86 -> amd64
 #
 # KNOWN ISSUES:
-#  - Wine amd64 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
-#  - Wine amd64 3.0.3, 4.0.2, 4.20: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11
+#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
+#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
 #
 # Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
@@ -57,8 +59,8 @@
 POL_Wine_SelectPrefix "$PREFIX"
          
 # Determine Architecture
-# POL_System_SetArch "amd64"
-POL_System_SetArch "x86"
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
  
 # Downloading wine if necessary and creating prefix
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
# [Dadu042] (2019-12-02)
#   Switch x86 -> amd64
#
# KNOWN ISSUES:
#  - Wine x86 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#  - Wine x86 3.0.3, 4.0.2, 4.0.3, 4.20, 4.21: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11, GPU Intel -> Nvidia.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
    
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="engine.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
      
# Starting the script
POL_SetupWindow_Init
          
# Starting debugging API
POL_Debug_Init
         
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
       
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
        
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
         
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
 
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
 
# POL_Call POL_Install_d3dx9_43
  
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
  
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
       
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
      
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
       
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
       
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
   
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "motoracing2_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
          
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
          
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
#      GPU     #
################
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
    
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Tuesday 26 November 2019 at 21:28
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -13,11 +13,13 @@
 #
 # CHANGELOG
 # [Dadu042] (2019-11-25)
-#   First script.
+#   First script. How to force DirectX 9 ?
+# [Dadu042] (2019-11-26)
+#   Set Wine 4.0.2 -> system.
 #
 # KNOWN ISSUES:
 #  - Wine amd64 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
-#  - Wine amd64 3.0.3, 4.0.2: Wine does crash when the game is launched.
+#  - Wine amd64 3.0.3, 4.0.2, 4.20: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11
 #
 # Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
@@ -30,7 +32,7 @@
 GAME_URL="https://www.myplaycity.com/moto_racing_2/"
 AUTHOR="Dadu042"
 STEAM_ID=""
-WORKING_WINE_VERSION="4.0.2"
+WORKING_WINE_VERSION=""
 GAME_VMS="256"
 SHORTCUT_FILENAME="engine.exe"
 SOFTWARE_CATEGORIES="Game;SportsGame;"
@@ -55,8 +57,8 @@
 POL_Wine_SelectPrefix "$PREFIX"
          
 # Determine Architecture
-POL_System_SetArch "amd64"
-# POL_System_SetArch "x86"
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
  
 # Downloading wine if necessary and creating prefix
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script. How to force DirectX 9 ?
# [Dadu042] (2019-11-26)
#   Set Wine 4.0.2 -> system.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#  - Wine amd64 3.0.3, 4.0.2, 4.20: Wine does crash when the game is launched. Tried: install d3dx9_43 +compiler, -force-d3d9 , -dx9, d3dx11
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
    
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="engine.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
      
# Starting the script
POL_SetupWindow_Init
          
# Starting debugging API
POL_Debug_Init
         
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
       
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
        
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
         
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
 
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
 
# POL_Call POL_Install_d3dx9_43
  
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
  
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
       
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
      
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
       
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
       
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
   
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "motoracing2_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
          
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
          
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
#      GPU     #
################
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
    
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 25 November 2019 at 22:50
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,189 @@
+#!/bin/bash
+# Date : (2019-11-25)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : KUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: 2017
+#
+# Middlewares used by this software : ?.
+#
+# CHANGELOG
+# [Dadu042] (2019-11-25)
+#   First script.
+#
+# KNOWN ISSUES:
+#  - Wine amd64 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
+#  - Wine amd64 3.0.3, 4.0.2: Wine does crash when the game is launched.
+#
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+    
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+  
+TITLE="Moto Racing 2"
+PREFIX="Moto_Racing_2"
+EDITOR="Alawar"
+GAME_URL="https://www.myplaycity.com/moto_racing_2/"
+AUTHOR="Dadu042"
+STEAM_ID=""
+WORKING_WINE_VERSION="4.0.2"
+GAME_VMS="256"
+SHORTCUT_FILENAME="engine.exe"
+SOFTWARE_CATEGORIES="Game;SportsGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+      
+# Starting the script
+POL_SetupWindow_Init
+          
+# Starting debugging API
+POL_Debug_Init
+         
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+       
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
+        
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+   
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+         
+# Determine Architecture
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
+ 
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+   
+Set_OS "win7"
+ 
+# Installing mandatory dependencies
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Instatl_directmusic
+ 
+# POL_Call POL_Install_d3dx9_43
+  
+# POL_Call POL_Install_msxml4
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+  
+## Sound problem fix - pulseaudio related
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+       
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+   
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+      
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+       
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+       
+        POL_SetupWindow_check_cdrom "SETUP.EXE"
+        POL_Wine start /unix "$CDROM/SETUP.EXE"
+        POL_Wine_WaitExit "SETUP.EXE"
+   
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+      
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+       
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
+        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine "motoracing2_setup.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+   
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "readme.txt"
+          
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        APP_ANSWER=".EXE"
+          
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
+        POL_Wine_WaitExit "$TITLE"
+ 
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+    
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "readme.txt"
+    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+                
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+    
+################
+#      GPU     #
+################
+    
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+ 
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+    
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+   
+# Empty (no text):
+# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
+ 
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+    
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+ 
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2019-11-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 2017
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [Dadu042] (2019-11-25)
#   First script.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.0: the install screen of the installer is just a vertical window (impossible to use). Fix: Wine 3.0.3
#  - Wine amd64 3.0.3, 4.0.2: Wine does crash when the game is launched.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
    
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Moto Racing 2"
PREFIX="Moto_Racing_2"
EDITOR="Alawar"
GAME_URL="https://www.myplaycity.com/moto_racing_2/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="engine.exe"
SOFTWARE_CATEGORIES="Game;SportsGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
      
# Starting the script
POL_SetupWindow_Init
          
# Starting debugging API
POL_Debug_Init
         
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
       
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
        
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
         
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
 
# Installing mandatory dependencies
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
 
# POL_Call POL_Install_d3dx9_43
  
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
  
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
       
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
      
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
       
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
       
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
   
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/motoracing2_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "motoracing2_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
          
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
          
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
#      GPU     #
################
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
    
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Replies